跳至內容

PixVerse Extend

整合

模型 id pixverse/extend
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixverse/extend?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.20 200 API 點數 · ≈ ₽21.09 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
PixVerse · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

指定所需影片延長內容的提示詞。

•必填 video_url
拖放檔案,或

指向要延長之影片的 URL。

duration 5 s

影片長度;1080p 輸出的上限為 5 秒。請以秒指定長度。

resolution 預設 720p

輸出影片的解析度。

進階 negative_prompt · style · model · seed · generate_audio
預設

生成期間套用的負面提示詞。

style

影片延長內容的視覺風格。

model 預設 v4.5

用於生成的模型版本。

控制生成期間隨機性的種子。

POST /run/pixverse/extend?wait=20 報價 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixverse/extend?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 PixVerse Extend

延長 `video_url` 中的片段,根據 `prompt` 與可選的 `negative_prompt` 引導。`duration` 為 5 或 8 秒,1080p 僅限 5 秒。`resolution` 範圍為 360p 至 1080p,`style` 提供 anime、3d_animation、clay、comic 或 cyberpunk。`model` 可選 v3.5 至 v6,v5.6 及更新版本支援音訊生成。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
video_url必填 video
類型url · video
指向要延長之影片的 URL。
prompt必填
類型string
指定所需影片延長內容的提示詞。
negative_prompt選填
類型string
預設值
生成期間套用的負面提示詞。
style選填
類型enum
anime3d_animationclaycomiccyberpunk
影片延長內容的視覺風格。
resolution選填
類型enum
預設值720p
360p540p720p1080p
輸出影片的解析度。
duration選填
類型enum
預設值5
58
影片長度;1080p 輸出的上限為 5 秒。請以秒指定長度。
model選填
類型enum
預設值v4.5
v3.5v4v4.5v5v5.5v5.6v6
用於生成的模型版本。
seed選填
類型integer | null
控制生成期間隨機性的種子。
generate_audio_switch選填 generate_audio
類型boolean
預設值false
背景音樂、音效和對話的音訊生成切換開關。適用於 v5.6 及更新版本的模型。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pixverse/extend",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}延長輸入內容後生成的影片。

更多模型:影片轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/pixverse/extend.md. 所有模型與指南: https://doitong.com/developers/llms.txt